glab(1)

NAME
glab-runner-controller-scope-create - Create a scope for a runner controller. (EXPERIMENTAL)

SYNOPSIS
glab runner-controller scope create [flags]

DESCRIPTION
Creates a scope for a runner controller. This is an administrator-only feature.

Use one of the following flags to specify the scope type:

•   --instance: Add an instance-level scope, allowing the runner controller to evaluate jobs for all runners in the GitLab instance.

•   --runner : Add a runner-level scope, allowing the runner controller to evaluate jobs for a specific instance-level runner. Multiple IDs can be comma-separated or specified by repeating the flag.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
--instance[=false]
    Add an instance-level scope.

--jq=""
    Filter JSON output with a jq expression.

-F, --output="text"
    Format output as: text, json.

--runner=[]
    Add a runner-level scope for the specified runner ID. Multiple IDs can be comma-separated or specified by repeating the flag.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Add an instance-level scope to runner controller 42
    glab runner-controller scope create 42 --instance
    # Add a runner-level scope for runner 5 to runner controller 42
    glab runner-controller scope create 42 --runner 5
    # Add runner-level scopes for multiple runners
    glab runner-controller scope create 42 --runner 5 --runner 10
    glab runner-controller scope create 42 --runner 5,10
    # Add a runner-level scope and output as JSON
    glab runner-controller scope create 42 --runner 5 --output json

SEE ALSO
glab-runner-controller-scope(1)